package sgc.portal.com.com.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.ComSendMsgPopVo;
import sgc.portal.com.com.service.ComSendMsgPopService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/com/com")
public class ComSendMsgPopController {
    private final ComSendMsgPopService service;

    public ComSendMsgPopController(ComSendMsgPopService service) {
        this.service = service;
    }
    
    @PostMapping("/ComSendMsgPop/sendLms")
    public Map<String, String> sendLms(@RequestBody ComSendMsgPopVo ComSendMsgPopVo) {
        return service.sendLms(ComSendMsgPopVo);
    }
    
    @PostMapping("/ComSendMsgPop/sendSms")
    public Map<String, String> sendSms(@RequestBody ComSendMsgPopVo ComSendMsgPopVo) {
        return service.sendSms(ComSendMsgPopVo);
    }
    
    @PostMapping("/ComSendMsgPop/sendSmsM")
    public Map<String, String> sendSmsM(@RequestBody List<ComSendMsgPopVo> ComSendMsgPopVo) {
        return service.sendSmsM(ComSendMsgPopVo);
    }
}
